Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## hibergui.assoc
Enum M2OEdit_Combo.MatchState

    java.lang.Object
      java.lang.Enum<M2OEdit_Combo.MatchState>
          hibergui.assoc.M2OEdit_Combo.MatchState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<M2OEdit_Combo.MatchState>

Enclosing class:
  M2OEdit_Combo<T>

    private static enum M2OEdit_Combo.MatchState

extends java.lang.Enum<M2OEdit_Combo.MatchState>

Enum Constant Summary
`EXACT`
`NO_MATCH`
`UNAMBIGUOUS`

Method Summary
`static M2OEdit_Combo.MatchState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static M2OEdit_Combo.MatchState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNAMBIGUOUS

    public static final M2OEdit_Combo.MatchState UNAMBIGUOUS

### EXACT

    public static final M2OEdit_Combo.MatchState EXACT

### NO_MATCH

    public static final M2OEdit_Combo.MatchState NO_MATCH

Method Detail

### values

    public static M2OEdit_Combo.MatchState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (M2OEdit_Combo.MatchState c : M2OEdit_Combo.MatchState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static M2OEdit_Combo.MatchState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD